Open Lighting Architecture: ola::messaging::GenericMessagePrinter Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
ola::messaging::GenericMessagePrinter Class Reference

## Detailed Description

The generic printer returns key: value fields.

Inheritance diagram for ola::messaging::GenericMessagePrinter:

## Public Member Functions
| GenericMessagePrinter (unsigned int indent_size=DEFAULT_INDENT, unsigned int initial_indent=0)
virtual void | Visit (const BoolMessageField *)
virtual void | Visit (const IPV4MessageField *)
virtual void | Visit (const MACMessageField *)
virtual void | Visit (const UIDMessageField *)
virtual void | Visit (const StringMessageField *)
virtual void | Visit (const BasicMessageField< uint8_t > *)
virtual void | Visit (const BasicMessageField< uint16_t > *)
virtual void | Visit (const BasicMessageField< uint32_t > *)
virtual void | Visit (const BasicMessageField< int8_t > *)
virtual void | Visit (const BasicMessageField< int16_t > *)
virtual void | Visit (const BasicMessageField< int32_t > *)
virtual void | Visit (const GroupMessageField *)
virtual void | PostVisit (const GroupMessageField *)
Public Member Functions inherited from ola::messaging::MessagePrinter
std::string | AsString (const class Message *message)

## Static Public Attributes
static const unsigned int | DEFAULT_INDENT = 2

## Additional Inherited Members
Protected Member Functions inherited from ola::messaging::MessagePrinter
std::ostringstream & | Stream ()
virtual void | PostStringHook ()
virtual std::string | TransformLabel (const std::string &label)

## Member Function Documentation

## ◆ PostVisit()

void ola::messaging::GenericMessagePrinter::PostVisit | ( | const GroupMessageField * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [1/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const BasicMessageField< int16_t > * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [2/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const BasicMessageField< int32_t > * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [3/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const BasicMessageField< int8_t > * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [4/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const BasicMessageField< uint16_t > * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [5/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const BasicMessageField< uint32_t > * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [6/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const BasicMessageField< uint8_t > * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [7/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const BoolMessageField * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [8/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const GroupMessageField * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [9/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const IPV4MessageField * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [10/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const MACMessageField * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [11/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const StringMessageField * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [12/12]

void ola::messaging::GenericMessagePrinter::Visit | ( | const UIDMessageField * | message | ) |
| virtual

Reimplemented from ola::messaging::MessagePrinter.

The documentation for this class was generated from the following files:

- include/ola/messaging/MessagePrinter.h
- common/messaging/MessagePrinter.cpp